/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HDM_REGAGREEDEXP') 
 CREATE TABLE T_HDM_REGAGREEDEXP (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FERMAINFILEID BIGINT DEFAULT 0 NOT NULL,
FPROBATIONUNITTHRESHOLD VARCHAR(2) DEFAULT ' ' NOT NULL,
FPROBATIONTHRESHOLD INT DEFAULT 0 NOT NULL,
FDELAYREGTHRESHOLD INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HDM_REGNEARPREDATE') 
 CREATE TABLE T_HDM_REGNEARPREDATE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FERMAINFILEID BIGINT DEFAULT 0 NOT NULL,
FEARLYWARNLEVEL VARCHAR(2) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPREREGULARDATE DATETIME,
FPROBATION INT DEFAULT 0 NOT NULL,
FPROBATIONUNIT VARCHAR(150) DEFAULT ' ' NOT NULL,
FENTRYDATE DATETIME,
FREGSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HDM_table.sql **/
